%{!?upstream_version: %global upstream_version %{version}%{?milestone}}
# Turn off the brp-python-bytecompile script
%global __os_install_post %(echo '%{__os_install_post}' | sed -e 's!/usr/lib[^[:space:]]*/brp-python-bytecompile[[:space:]].*$!!g')

Name:		openstack-tripleo-image-elements
Summary:	OpenStack TripleO Image Elements for diskimage-builder
Version:    8.0.3
Release:    1%{?dist}
License:	ASL 2.0
Group:		System Environment/Base
URL:		https://wiki.openstack.org/wiki/TripleO
Source0:	https://tarballs.openstack.org/tripleo-image-elements/tripleo-image-elements-%{upstream_version}.tar.gz

# patches_ignore=DROP-IN-RPM
# patches_base=8.0.3

BuildArch:	noarch
BuildRequires:	python
BuildRequires:	python2-devel
BuildRequires:	python2-setuptools
BuildRequires:	python-d2to1
BuildRequires:	python2-pbr

Requires:	diskimage-builder

%description
OpenStack TripleO Image Elements is a collection of elements for
diskimage-builder that can be used to build OpenStack images for the TripleO
program.

%prep
%setup -q -n tripleo-image-elements-%{upstream_version}

%build
%{__python} setup.py build

%install
%{__python} setup.py install -O1 --skip-build --root=%{buildroot}

# remove .git-keep-empty files that get installed
find %{buildroot} -name .git-keep-empty | xargs rm -f

%files
%doc LICENSE
%doc README.md
%doc AUTHORS
%doc ChangeLog
%{python_sitelib}/tripleo_image_elements*
%{_datadir}/tripleo-image-elements

%changelog
* Thu Oct 03 2019 Steve Linabery <slinaber@redhat.com> 8.0.3-1
- Update to 8.0.3

* Wed Aug 07 2019 Bob Fournier <bfournie@redhat.com> 8.0.2-2
- Remove note in README regarding security hardened images (rhbz#1700481)

* Fri Apr 05 2019 Jon Schlueter <jschluet@redhat.com> 8.0.2-1
- Update to 8.0.2 (rhbz#1696830)

* Fri Jan 11 2019 Bob Fournier <bfournie@redhat.com> 8.0.1-3
- Increase size for security hardened images (rhbz#1663495)

* Mon Nov 19 2018 Bob Fournier <bfournie@redhat.com> 8.0.1-2
- Add overcloud-secure-uefi element (rhbz#1646907)

* Tue Apr 24 2018 Jon Schlueter <jschluet@redhat.com> 8.0.1-1
- Update to 8.0.1

* Tue Mar 13 2018 RDO <dev@lists.rdoproject.org> 8.0.0-1
- Update to 8.0.0

* Thu Mar 08 2018 RDO <dev@lists.rdoproject.org> 8.0.0-0.1.0rc1
- Update to 8.0.0.0rc1

